----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 2017/--/-- --:--:--
-- Design Name: 
-- Module Name: TestBench - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;
 
-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--USE IEEE.numeric_std.all;
 
entity TestBench is
end TestBench;
 
architecture behavior of TestBench is
 
    -- Component Declaration for the Unit Under Test (UUT)
 
    component Flip_Flop
    port(
         CLK : in  STD_LOGIC;
         RESET : in  STD_LOGIC;
         D : in  STD_LOGIC;
         Q : out  STD_LOGIC
        );
    end component;
    

   --Inputs
   signal CLK : STD_LOGIC := '0';
   signal RESET : STD_LOGIC := '0';
   signal D : STD_LOGIC := '0';

 	--Outputs
   signal Q : STD_LOGIC;

   -- Clock period definitions
   constant CLK_period : time := 5 ns;
 
begin
 
	-- Instantiate the Unit Under Test (UUT)
   uut: Flip_Flop port map (
          CLK => CLK,
          RESET => RESET,
          D => D,
          Q => Q
        );

   -- Clock process definitions
   CLK_process :process
   begin
		CLK <= '0';
		wait for CLK_period;
		CLK <= '1';
		wait for CLK_period;
   end process;
 

   -- Stimulus process
   stim_proc: process
   begin		
      -- hold reset state for 50 ns.
      wait for 50 ns;	

      wait for 3 ns;	D <= '1';
	  wait for 5 ns;	D <= '0';
	  wait for 10 ns;	D <= '1';
	  wait for 12 ns;	RESET <= '1';
	  wait for 10 ns;	RESET <= '0';

      -- insert stimulus here 

      wait;
   end process;

end;
