----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 2017/--/-- --:--:--
-- Design Name: 
-- Module Name: Btn_Counter - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_UNSIGNED.all;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.all;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Btn_Counter is
    port ( RESET : in  STD_LOGIC;
           BTN : in  STD_LOGIC;
           Q : out  STD_LOGIC_VECTOR (3 downto 0));
end Btn_Counter;

architecture Behavioral of Btn_Counter is
	signal temp_q : STD_LOGIC_VECTOR (3 downto 0);
begin
	process (RESET, BTN)
	begin
		if (RESET = '1') then
			temp_q <= (others => '0');
		elsif (BTN' event and BTN = '1') then
			if (temp_q = 9) then
				temp_q <= (others => '0');
			else
				temp_q <= temp_q + 1;
			end if;
		end if;
	end process;
	Q <= temp_q;
end Behavioral;

