`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2017/--/-- --:--:--
// Design Name: 
// Module Name: TestBench
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////

module TestBench;

	// Inputs
	reg CLK;
	reg RESET;
	reg D;

	// Outputs
	wire Q;

	// Instantiate the Unit Under Test (UUT)
	Flip_Flop uut (
		.CLK(CLK), 
		.RESET(RESET), 
		.D(D), 
		.Q(Q)
	);
	
	always
		#5 CLK = ~CLK;

	initial begin
		// Initialize Inputs
		CLK = 0;
		RESET = 0;
		D = 0;

		// Wait 50ns for global reset to finish
		#50;
        
		// Add stimulus here
		
		#3		D = 1'b1;
		#5 	D = 1'b0;
		#10	D = 1'b1;
		#12	RESET = 1'b1;
		#10	RESET = 1'b0;
		#10	$stop;

	end
      
endmodule

