`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2017/--/-- --:--:--
// Design Name: 
// Module Name: Divide_Clock
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////

module Divide_Clock(
    input CLK,
    input RESET,
    output LD0
    );

	wire enable;
	reg ff;
	reg [25:0] temp_count;
	
	always @(posedge CLK or posedge RESET)
	begin
		if (RESET)
			temp_count <= 0;
		else if (temp_count == 49999999)
		//else if (temp_count == 9)
			temp_count <= 0;
		else
			temp_count <= temp_count + 1;
	end
	
	assign enable = (temp_count == 0) ? 1 : 0;
	
	always @(posedge CLK or posedge RESET)
	begin
		if (RESET)
			ff <= 0;
		else if (enable == 1)
			ff <= ~ff;
	end
	
	assign LD0 = ff;

endmodule
