`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2017/--/-- --:--:--
// Design Name: 
// Module Name: TestBench
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////

module TestBench;

	// Inputs
	reg CLK;
	reg RESET;

	// Outputs
	wire LD0;

	// Instantiate the Unit Under Test (UUT)
	Divide_Clock uut (
		.CLK(CLK), 
		.RESET(RESET), 
		.LD0(LD0)
	);
	
	always
		#5	CLK = ~CLK;

	initial begin
		// Initialize Inputs
		CLK = 0;
		RESET = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here
		#5	RESET = 1'b1;
		#5	RESET = 1'b0;
		#4990	$stop;
	end
      
endmodule

