`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2017/--/-- --:--:--
// Design Name: 
// Module Name: Decoder_7seg
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////

module Decoder_7seg(
    input [3:0] Q,
    output [11:0] SEG
    );

	reg [11:0] buff;
	
	always @(Q)
	begin
		case (Q)
			4'b0000:buff <= 12'b1110_1_1000000; //0
			4'b0001:buff <= 12'b1110_1_1111001; //1
			4'b0010:buff <= 12'b1110_1_0100100; //2
			4'b0011:buff <= 12'b1110_1_0110000; //3
			4'b0100:buff <= 12'b1110_1_0011001; //4
			4'b0101:buff <= 12'b1110_1_0010010; //5
			4'b0110:buff <= 12'b1110_1_0000010; //6
			4'b0111:buff <= 12'b1110_1_1011000; //7
			4'b1000:buff <= 12'b1110_1_0000000; //8
			4'b1001:buff <= 12'b1110_1_0010000; //9
			default:buff <= 12'b1111_1_1111111; //
		endcase
	end
	
	assign SEG = buff;
	
endmodule
