----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 2017/--/-- --:--:--
-- Design Name: 
-- Module Name: TestBench - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;
 
-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--USE IEEE.numeric_std.all;
 
entity TestBench is
end TestBench;
 
architecture behavior of TestBench is
 
    -- Component Declaration for the Unit Under Test (UUT)
 
    component Btn_Counter
    port(
         RESET : in  STD_LOGIC;
         BTN : in  STD_LOGIC;
         Q : out  STD_LOGIC_VECTOR(3 downto 0)
        );
    end component;
    

   --Inputs
   signal RESET : STD_LOGIC := '0';
   signal BTN : STD_LOGIC := '0';

 	--Outputs
   signal Q : STD_LOGIC_VECTOR(3 downto 0);
   -- No clocks detected in port list. Replace <clock> below with 
   -- appropriate port name 
 
   --constant <clock>_period : time := 20 ns;
 
begin
 
	-- Instantiate the Unit Under Test (UUT)
   uut: Btn_Counter port map (
          RESET => RESET,
          BTN => BTN,
          Q => Q
        );

   -- Clock process definitions
   btn_process :process
   begin
		BTN <= '0';
		wait for 45 ns;
		BTN <= '1';
		wait for 5 ns;
   end process;
 

   -- Stimulus process
   stim_proc: process
   begin		
      -- hold reset state for 100 ns.
      wait for 100 ns;	

      --wait for <clock>_period*10;

      -- insert stimulus here 
	  wait for 10 ns;	RESET <= '1';
	  wait for 5 ns;	RESET <= '0';
      wait;
   end process;

end;
