----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 2017/--/-- --:--:--
-- Design Name: 
-- Module Name: Decoder_7seg - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.all;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Decoder_7seg is
    port ( SW : in  STD_LOGIC_VECTOR (3 downto 0);
           SEG : out  STD_LOGIC_VECTOR (11 downto 0));
end Decoder_7seg;

architecture Behavioral of Decoder_7seg is

begin
	process (SW)
	begin
		case SW is
			when "0000" => SEG <= B"1110_1_1000000"; --0
			when "0001" => SEG <= B"1110_1_1111001"; --1
			when "0010" => SEG <= B"1110_1_0100100"; --2
			when "0011" => SEG <= B"1110_1_0110000"; --3
			when "0100" => SEG <= B"1110_1_0011001"; --4
			when "0101" => SEG <= B"1110_1_0010010"; --5
			when "0110" => SEG <= B"1110_1_0000010"; --6
			when "0111" => SEG <= B"1110_1_1011000"; --7
			when "1000" => SEG <= B"1110_1_0000000"; --8
			when "1001" => SEG <= B"1110_1_0010000"; --9
			when others => SEG <= B"1111_1_1111111"; --
		end case;
	end process;
end Behavioral;

