----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date: 2017/--/-- --:--:--
-- Design Name: 
-- Module Name: Decoder - Behavioral
-- Project Name: 
-- Target Devices: 
-- Tool Versions: 
-- Description: 
-- 
-- Dependencies: 
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
----------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.all;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.all;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity Decoder is
    port ( Q : in  STD_LOGIC_VECTOR (3 downto 0);
           SEG : out  STD_LOGIC_VECTOR (11 downto 0));
end Decoder;

architecture Behavioral of Decoder is

begin
	process (Q)
	begin
		case Q is
            when "0000" => SEG <= "111011000000"; --0
            when "0001" => SEG <= "111011111001"; --1
            when "0010" => SEG <= "111010100100"; --2
            when "0011" => SEG <= "111010110000"; --3
            when "0100" => SEG <= "111010011001"; --4
            when "0101" => SEG <= "111010010010"; --5
            when "0110" => SEG <= "111010000010"; --6
            when "0111" => SEG <= "111011011000"; --7
            when "1000" => SEG <= "111010000000"; --8
            when "1001" => SEG <= "111010010000"; --9
            when others => SEG <= "111111111111"; --
		end case;
	end process;
end Behavioral;

