`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2017/--/-- --:--:--
// Design Name: 
// Module Name: Decimal_Counter
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////

module Decimal_Counter(
    input CLK,
    input RESET,
    output [3:0] Q
    );
	
	wire inc;
	reg [3:0] ff;
	reg [25:0] temp_count;
	
	always @(posedge CLK or posedge RESET)
	begin
		if (RESET)
			temp_count <= 0;
		else if (temp_count == 49999999)
		//else if (temp_count == 4)
			temp_count <= 0;
		else
			temp_count <= temp_count + 1;
	end
	
	assign inc = (temp_count == 0) ? 1 : 0;
	
	always @(posedge CLK or posedge RESET)
	begin
		if (RESET)
			ff <= 0;
		else if (inc)
			if (ff == 9)
				ff <= 0;
			else
				ff <= ff + 1;
	end

	assign Q = ff;

endmodule
