`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2017/--/-- --:--:--
// Design Name: 
// Module Name: TestBench
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////

module TestBench;

	// Inputs
	reg CLK;
	reg RESET;

	// Outputs
	wire [3:0] Q;

	// Instantiate the Unit Under Test (UUT)
	Decimal_Counter uut (
		.CLK(CLK), 
		.RESET(RESET), 
		.Q(Q)
	);

	always
		#5	CLK = ~CLK;
		
	initial begin
		// Initialize Inputs
		CLK = 0;
		RESET = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here
		#5		RESET = 1'b1;
		#3		RESET = 1'b0;
		#4992	$stop;
	end
      
endmodule

