`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2017/--/-- --:--:--
// Design Name: 
// Module Name: TestBench
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////

module TestBench;

	// Inputs
	reg RESET;
	reg BTN;

	// Outputs
	wire [3:0] Q;

	// Instantiate the Unit Under Test (UUT)
	Btn_Counter uut (
		.RESET(RESET), 
		.BTN(BTN), 
		.Q(Q)
	);

always
begin
 #45	BTN = 1'b1;
 #5	BTN = 1'b0;
end

	initial begin
		// Initialize Inputs
		RESET = 0;
		BTN = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here
		#10	RESET = 1'b1;
		#5	RESET = 1'b0;
		#4890	$stop;

	end
      
endmodule
